Subject: bug#14382: 24.3.50; Strange display bug

From: Dmitry Gutov <[email-masked]>
Date: Mon, 13 May 2013 01:23:10 +0400

On 12.05.2013 23:39, Richard Stallman wrote:
>      Not at all. The "Format" header value is translated into the first line
>      of the commit message. The "Author" header value is translated into the
>      "--author" argument passed to the VCS program.
>
> I start to understand now.
>
> Is there a difference between "the first line of the commit message"
> and "whatever I would previously have written on the first line
> of *vc-log*?

Probably not.

To be more clear, before the commit happens, the value of "Summary", if 
any, is inserted after the headers and, together with the text already 
present there, is used as commit message. See `log-edit-extract-headers'.